CVE-2007-6562

NameCVE-2007-6562
DescriptionMultiple stack-based buffer overflows in the use of FD_SET in TCPreen before 1.4.4 allow remote attackers to cause a denial of service via multiple concurrent connections, which result in overflows in the (1) SocketAddress::Connect function in libsolve/sockprot.cpp and (2) monitor_bridge function in src/bridge.cpp.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1443-1
NVD severitymedium (attack range: remote)
Debian Bugs457781

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tcpreen (PTS)wheezy, buster, sid, jessie, stretch1.4.4-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tcpreensource(unstable)1.4.3-0.3medium457781
tcpreensourceetch1.4.3-0.1etch1mediumDSA-1443-1

Search for package or bug name: Reporting problems